daikon-cqrs/flysystem-adapter

View on GitHub
composer.json

Summary

Maintainability
Test Coverage
{
    "name": "daikon/flysystem-adapter",
    "type": "library",
    "description": "Flysystem adapter for Daikon-CQRS projects.",
    "keywords": [ "flysystem", "adapter" ],
    "homepage": "https://github.com/daikon-cqrs/flysystem-adapter",
    "license": "MPL-2.0",
    "prefer-stable": true,
    "minimum-stability": "dev",
    "require": {
        "php": "^7.4|^8.0",
        "daikon/dbal": "master@dev",
        "league/flysystem": "^1.0"
    },
    "require-dev": {
        "phpunit/phpunit": "^9.3",
        "sebastian/phpcpd": "^6.0",
        "squizlabs/php_codesniffer": "^3.3",
        "vimeo/psalm": "^4.0"
    },
    "autoload": {
        "psr-4": { "Daikon\\Flysystem\\" : "src" }
    },
    "autoload-dev": {
        "psr-4": { "Daikon\\Tests\\Flysystem\\": "tests" }
    },
    "scripts": {
        "build": [ "@sniff", "@tests" ],
        "code-sniffer": "phpcs -p -s --extensions=php --standard='PSR1,PSR2' src tests",
        "code-sniffer-autofix": "phpcbf --standard=PSR2 -d tabWidth=4 src tests",
        "copy-paste-detector": "phpcpd src tests || true",
        "psalm": "psalm --shepherd --show-info=true",
        "sniff": [
            "@code-sniffer",
            "@copy-paste-detector",
            "@validate-json",
            "@psalm"
        ],
        "test": "phpunit --no-coverage",
        "tests": "phpunit",
        "validate-deps": "composer validate --with-dependencies --strict",
        "validate-json": "composer validate --no-check-all --no-check-lock"
    }
}